Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025811
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] A. Platformminorhave not tried2014-02-24 12:432014-12-30 23:26
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revisionf62c66b02a9f
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0025811: unnecessary request on grid refresh

DescriptionWhen refreshing grid having a record selected, 2 requests are executed to datasource.
Steps To Reproduce-Open Country window
-Sort by name
-Select Norway (scrolling, do not enter any filter)
-Click on refresh: note how 2 requests to Country datasource are executed:
  *1st one:
     _targetRecordId:269 (selected country ID)
     _startRow: 108 (changed in backed to 140)
     _endRow: 207 (changed in backed to 238)
     total rows: 241
  *2nd one (this should not be done)
     no targetRecordId
     _startRow: 0
     _endRow: 100

In addition to unnecessary request with performance degradation, the 2nd request causes the grid to be moved out of selected record position. After the 1st one is received, for a moment grid is correctly positioned having Norway in the middle, after 2nd one is received focus is moved away.

Note 2nd request is launched even before the 1st one arrives.
     
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0026547 closedAugustoMauch When clicking on refresh button being on a record on a page differnt than the first, two selects are executed 
related to defect 0025789 closedalostale Duplicated records appearing in the grid after refreshing having all the records selected 
related to defect 00268213.0PR15Q1 closedAugustoMauch Grid gets blank after scroll. Seems to be a missing request for data 
related to defect 0028178 closedAugustoMauch Disable the Refresh toolbar button while a refresh is ongoing 
related to defect 0026706 closedAugustoMauch Sometimes the refresh of a record on a process hide the record if it does not fulfill the filter 
related to design defect 0017298 closedalostale Performance: too many request fired after completing an order (probably to refresh data) 
related to defect 0028484 acknowledgedplatform Duplicate FIC request after reactivating invoice 
related to defect 0029028 acknowledgedplatform Selected record is lost after executing a pick and execute process under some circumnstances 
related to defect 00298653.0PR15Q3 closedNaroaIriarte Multiple Selection Process Definition buttons with children tabs with reference list shows wrong text 
related to defect 0030028 closedplatform Process Definitions don't refresh any more the grid behind after completion of the process 
related to defect 0029259 closedcaristu WARN: Datasource request with targetRecordId but without directNavigation detected when reloading Sales Invoice form view 
blocks design defect 0027674 closedAugustoMauch Selected record is lost when the amount of records shown is high 
causes defect 0028537 closedAugustoMauch Wrong behaviour when sorting a grid after scrolling 
causes defect 0029835 closedAugustoMauch Unlimited grid datasource request under certain circumstances 
causes defect 0030062 closedAugustoMauch grid is not completely loaded after refresh in some cases 
causes backport 00300633.0PR15Q2.2 closedAugustoMauch grid is not completely loaded after refresh in some cases 
causes defect 0031214 closedalostale Strange behaviour when refreshing a grid after filtering a product characteristic column 

-  Notes
(0064527)
hgbot (developer)
2014-02-24 16:01

Repository: erp/devel/pi
Changeset: 395b16591ed96730001f7f143f08e2ac0627724a
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Mon Feb 24 16:01:09 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/395b16591ed96730001f7f143f08e2ac0627724a [^]

related to bug 25811: prevent NPE

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0064589)
hudsonbot (developer)
2014-02-25 20:14

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/7579d638a80a [^]
Maturity status: Test
(0067407)
guillermogil (developer)
2014-05-23 12:09

There are two requests:

1st.- your interval
2nd.- from 0 to 100

The first is done by
$LAB.script.wait.$LAB.script.wait.isc.OBViewGrid.addProperties.filterData (76b0665dbea55b50e04c4c6889b2930a.js:30461)
$LAB.script.wait.$LAB.script.wait.isc.OBViewGrid.addProperties.refreshGrid (76b0665dbea55b50e04c4c6889b2930a.js:30374)
$LAB.script.wait.$LAB.script.wait.isc.OBStandardView.addProperties.refresh (76b0665dbea55b50e04c4c6889b2930a.js:23857)

And the second
$LAB.script.wait.$LAB.script.wait.isc.OBStandardWindow.addProperties.doActionAfterAutoSave.saveCallback (76b0665dbea55b50e04c4c6889b2930a.js:21240)
$LAB.script.wait.$LAB.script.wait.isc.OBStandardWindow.addProperties.doActionAfterAutoSave (76b0665dbea55b50e04c4c6889b2930a.js:21274)
$LAB.script.wait.$LAB.script.wait.isc.OBViewGrid.addProperties.deselectAllRecords (76b0665dbea55b50e04c4c6889b2930a.js:30098)
isc.ListGrid.addMethods.invalidateCache (ListGrid.js:12922)
$LAB.script.wait.$LAB.script.wait.isc.OBViewGrid.addProperties.refreshGrid (76b0665dbea55b50e04c4c6889b2930a.js:30337)
$LAB.script.wait.$LAB.script.wait.isc.OBStandardView.addProperties.refresh (76b0665dbea55b50e04c4c6889b2930a.js:23857)
(0067522)
guillermogil (developer)
2014-05-28 11:44

Here you can find the behavior of the requests:

https://docs.google.com/a/openbravo.com/document/d/1K3M8JRIeg0Wm9_yZrwoafaY2gvGQAIdPEDueWrHtDaQ/edit [^]
(0071807)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: b00aae95f22c32554657544f7162e13015953c45
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 11 09:20:54 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b00aae95f22c32554657544f7162e13015953c45 [^]

Related with issue 25811: When refreshing from form, dont refresh whole grid

If the user presses the Refresh toolbar button while in form view, the form will be refreshed, but not the whole grid.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0071808)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: dc5f7d2a708d0c5b740396764f5b78fe854c86ec
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 11 09:56:37 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/dc5f7d2a708d0c5b740396764f5b78fe854c86ec [^]

Related with issue 25811: Extracts function OBViewGrid.updatedRecord

In the function OBStandardView.refreshCurrentRecord, there was some code that took an updated record and applied it to the grid. This code has been extraced to the OBViewGrid.updatedRecord function, for clarity and to make it reusable.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0071809)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: 31d3d17e8d7856c0220628407e4789e94380388a
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 11 10:49:41 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/31d3d17e8d7856c0220628407e4789e94380388a [^]

Related with issue 25811: Refresh record in grid when refreshing form view

When the OBViewForm.refresh is called, the form is refreshed but the whole grid is not. Even though the whold grid is not refreshed, the record that was selected and that was being edited in form view shou
ld be refreshed in the grid.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0071810)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: 6ea2e99171afc48d83a3efe238f2058d867c5664
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 11 10:51:04 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/6ea2e99171afc48d83a3efe238f2058d867c5664 [^]

Related with issue 25811: Dont refresh the whole grid after executing process

Instead of refreshing the whole grid after executing a process, only the selected record will be refreshed. This is done for performance reasons.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
---
(0071811)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: c51dce7e9fd3c47915464ab4f565a9d1cee60e3b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 11 18:33:42 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c51dce7e9fd3c47915464ab4f565a9d1cee60e3b [^]

Related with issue 25811: Update properly totalRows when scrolling up

Consider the following case:
- A table that contains 200 records
- Only the records 50-150 are loaded in the grid
- When the user scrolls up, the records [0,50] will be fetched, the datasource will return totalRows = 52, as it does not calculate the exact number of total rows.
- The grid would readapt to contain only 52 records, the records 50-150 would be discarded.

In this case, when a request is done after scrolling up, the number of grid total records will not be updated.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071812)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: e6f0909cf6a458f85add7d59eaf7e100e5718f01
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 11 18:46:35 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e6f0909cf6a458f85add7d59eaf7e100e5718f01 [^]

Related with bug 25811: Prevent multiple requests refreshing with selected row

Now when a grid is refreshed by pushing the refresh toolbar button while having a record selected, there will be no unneded requests. Also, instead of using targetRecordId (which results in bad performance), provide a range that will most probably contain the record after refreshing.

Technical aspects:
- While the grid is being refreshed with a selected record, do not allow to refresh its body. The redrawal would try to obtain the record 0, would not find it (as the refresh needs to invalidate the cache), and make and extra request to obtain it.
- The range starRow, endRow is calculated by obtaining the record index and adding and substracting half of the data page size.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071813)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: c3491ae284fe29586be5ac7b731918be7c06e34f
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 12 13:02:18 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c3491ae284fe29586be5ac7b731918be7c06e34f [^]

Related with bug 25811:Add missing code from delayedHandleTargetRecord function

The code from OBViewGrid.delayedHandleTargetRecord used to be executed only when the targetRecordId was set. Now it should be executed also if the grid was refreshed having a record selected.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071814)
hgbot (developer)
2014-11-19 19:15

Repository: erp/devel/pi
Changeset: f62c66b02a9f35b319321e0f81edcc3025902295
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 12 15:14:42 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f62c66b02a9f35b319321e0f81edcc3025902295 [^]

Fixes issue 25811: No unneeded requests are done when the grid is refreshed

This changesets handles the case when the grid is refreshed after having been scrolled down, without no records selected. When this happens, the refreshingWithScrolledGrid flag is set to true. This will be
 used in the fetchRemoteData function to help prevent a grid redrawal that would result in an unneeded datasource request.

Also, all the flags used in this development are cleared in the callback of the filterData function done in OBViewGrid.refreshGrid.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071815)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 5827d159c89a399c3a52fe9f27a20b96fe089a11
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Nov 13 11:23:12 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5827d159c89a399c3a52fe9f27a20b96fe089a11 [^]

Related with bug 25811:In OBStandardView, extract function to get criteria

The code to obtain a criteria used to refreshed the selected record has been extracted to the buildCriteriaToRefreshSelectedRecord function to make the refreshCurrentRecord more readable.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0071816)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 0d6db5f50f6af8d0ecd62b6a7a7997b3aa1b1a04
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Nov 13 13:17:16 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0d6db5f50f6af8d0ecd62b6a7a7997b3aa1b1a04 [^]

Related with issue 25811: Prevents multiple request in form view

When a process was executed when the form view was visible, two requests where done to update the record information. This is the steps that were followed:
- When the process finishes, the OBToolbarActionButton.closeProcessPopup was called
- If a record was selected, this function called OBStandardView.refreshCurrentRecord
- This function calls this.getDataSource().fetchData which results in a datasource request. A callback was passed to this function.
- In that callback OBViewForm.refresh was called, which resulted in another datasource request.

The new steps are these:
- When the process finishes, the OBToolbarActionButton.closeProcessPopup is called (no change here)
- If a record was selected, this function called OBStandardView.refreshCurrentRecord (no change here)
- If the view form is not shown, it works as it worked before
- If the view form is shown, then instead of calling this.getDataSource().fetchData, OBViewForm.refresh is invoked. This refreshes the form and updates the record in the grid with just one request. The callback that was passed to the resfreshCurrentRecord is now passed to OBViewForm.refresh to ensure that is invoked regardless of the flow followed.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0071817)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 9c14a08f72bfd4e6ecb73a6b292283ac285291cb
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Nov 13 21:56:06 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9c14a08f72bfd4e6ecb73a6b292283ac285291cb [^]

Related with bug 25811: Refresh child and parent views after process execution

After a process is executed, the parent and children views of the view owner of the process should be refreshed. This used to be done when the whole grid was refreshed. Now that the grid is not refreshed anymore, the parent and children views needs to be refreshed explicitely.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
---
(0071818)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 84865a340443fbc6aa5c36d777c8c57df2f6525b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Nov 14 08:37:27 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/84865a340443fbc6aa5c36d777c8c57df2f6525b [^]

Related with issue 25811: pi merge

---
M README
M build.xml
M legal/Licensing.txt
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRM_MatchingUtility.java
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/MultipleDeleteActionHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/servlet/CalloutHttpServletResponse.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/classic/ob-classic-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-date.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/return-material/ob-return-material.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-date.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/BaseKernelServlet.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/RequestContext.java
M modules/org.openbravo.client.querylist/web/org.openbravo.client.querylist/js/ob-querylist-widget.js
M modules/org.openbravo.service.json/src/org/openbravo/service/json/AdvancedQueryBuilder.java
M src-core/build.xml
M src-core/src/org/openbravo/base/VariablesBase.java
M src-db/database/lib/dbsourcemanager.jar
M src-db/database/model/functions/C_ORDER_POST1.xml
M src-db/database/model/functions/MA_WORKREQUIREMENT_PROCESS.xml
M src-db/database/model/functions/M_RESERVE_STOCK_AUTO.xml
M src-db/database/model/tables/M_WAREHOUSE.xml
M src-db/database/model/triggers/MA_WRPHASE_TRG.xml
M src-db/database/model/views/M_PRERESERVATION_PICK_EDIT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_PROCESS_PARA.xml
M src-db/database/sourcedata/AD_VAL_RULE.xml
M src-test/src/org/openbravo/test/AllWebserviceTests.java
M src-test/src/org/openbravo/test/datasource/TestComboDatasource.java
M src-wad/src/org/openbravo/wad/web.xml
M src/org/openbravo/common/actionhandler/ManagePrereservationActionHandler.java
M src/org/openbravo/common/datasource/StockReservationPickAndEditDataSource.java
M src/org/openbravo/costing/AverageCostAdjustment.java
M src/org/openbravo/costing/CostingServer.java
M src/org/openbravo/costing/LandedCostDistributionByAmount.java
M src/org/openbravo/costing/LandedCostProcess.java
M src/org/openbravo/costing/PriceDifferenceProcess.java
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_Shipment.html
M src/org/openbravo/erpCommon/ad_actionButton/CreateFrom_ShipmentPO.html
M src/org/openbravo/erpCommon/ad_forms/AcctServer.java
M src/org/openbravo/erpCommon/ad_forms/RequisitionToOrder_data.xsql
M src/org/openbravo/erpCommon/ad_process/MRPPurchaseCreateReservations.java
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.java
M src/org/openbravo/erpReports/C_OrderJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesJR_new.jrxml
M src/org/openbravo/erpReports/C_OrderLinesTaxIncludedJR_new.jrxml
M src/org/openbravo/financial/FinancialUtils.java
M src/org/openbravo/scheduling/OBScheduler.java
A src-core/src/org/openbravo/base/HttpSessionWrapper.java
A src-test/src/org/openbravo/test/datasource/FKDropDownDatasource.java
---
(0071819)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 583b44b2b1c6f9d60cd01a17fa45bad25d117074
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Nov 14 13:28:58 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/583b44b2b1c6f9d60cd01a17fa45bad25d117074 [^]

Related with issue 25811: Refresh children after refreshing form

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---
(0071820)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 210eae6f638ed3cf16a94d85df1d8ef27714494b
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Nov 14 13:48:56 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/210eae6f638ed3cf16a94d85df1d8ef27714494b [^]

Related with issue 25811: Refresh children after executing standard process

This was already being done after executing the legacy processes (handled in OBToolbarActionButton.closeProcessPopup), but it had not been done for the standard processes (handled in OBParameterWindowView.
handleResponse).

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-parameter-window-view.js
---
(0071821)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 5c8dd0e358f25ec594c6ea6feaf2cd2efc533fca
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Nov 14 14:07:04 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/5c8dd0e358f25ec594c6ea6feaf2cd2efc533fca [^]

Related with issue 25811: Adds responseAction that allows to refresh the grid

After the fix of [1], the whole grid is no longer being refreshed after executing a standard process, but only the selected record. If the process adds or deletes records from the tab owner of the button, then it include the refreshGrid function in the list of responseAction of the standard process.

This refreshGrid function does not have any parameters, and it must be added to the responseActions like this:

  responseActions.put("refreshGrid", new JSONObject());

[1] https://issues.openbravo.com/view.php?id=25811 [^]

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities-action-def.js
---
(0071822)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 9dd246d95bc503aa1966aacb562256c1e8279538
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Nov 17 14:20:00 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9dd246d95bc503aa1966aacb562256c1e8279538 [^]

Related with issue 25811: Fixes casing typo in variable name

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071823)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: 64e842ab60fefedb6a018ac5acd1cd57265b5272
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Nov 17 14:56:47 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/64e842ab60fefedb6a018ac5acd1cd57265b5272 [^]

Related with issue 25811: Change the way some unneded requests are prevented

Some additional requests were being prevented by not invoking the redraw function of the grid while it was being refreshed. This resulted in not showing the loading message, which was an undesirable side e
ffect. Now it is done like this:
- The getRecord function of the grid returns Array.LOADING if invoked while the grid is being refreshed
- The requestVisibleRows function is not invoked if called while the grid is being refreshed
- After receiving the response of the request done when refreshing the grid, if the grid had been refreshed while being scrolled down, it will scroll down till the portion of data that was just received is
 shown in the viewport. This prevent redrawing the frozen body of the grid with the scroll still on the top, which would result in unneeded requests.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071824)
hgbot (developer)
2014-11-19 19:16

Repository: erp/devel/pi
Changeset: e670de099d885ade57db3c6d2951e6a18d972ab3
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Mon Nov 17 21:39:13 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e670de099d885ade57db3c6d2951e6a18d972ab3 [^]

Related with bug 25811: Dont refresh the subtabs always after refreshing form

Not always when the OBViewForm.refresh function should its children tabs be refreshed. Sometimes they should be refreshed (i.e. when pressing the refresh toolbar button of after a process is executed), but other times they should not (i.e. when the form is refreshed because a record has been saved in one of its sutabs).

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-toolbar.js
---
(0071825)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: 7ca429601aca31f3b1ef10b739a8b92811aeebba
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 18 12:09:09 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7ca429601aca31f3b1ef10b739a8b92811aeebba [^]

Related with bug 25811: Set flags to prevent multiple requests in proper placei

The refreshingWithRecordSelected and refreshingWithScrolledGrid, which are being used to prevent unneeded multiple requests, were being set to true in the wrong place. They were being set to true before ac
tually starting to refresh the grid, and that result that under some circumstances not even the first datasource request was done.

Now they are set to true right after starting the refresh, just after calling OBViewGrid.filterData. They are being reset in the same place as before, in the callback of the filter data function.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071826)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: ad6405c8d84650fd26a2a8e25ec080a8e8aa909a
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Nov 18 13:46:30 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ad6405c8d84650fd26a2a8e25ec080a8e8aa909a [^]

Related with bug 25811: Process view should be refreshed after invoking process

After a manual process is invoked, the closeProcessPopup function is called. This function is in charge, among other things, of refreshing the tabs. The problem was that it was doing it taking as the primery view the view that was active when the process was invoked, not the view that defines the button that opens the process, which is the one that most probably be affected by the process.

Fixing this also prevents an unneeded request when invoking a process from the subtab of the tab that defines the process (i.e. booking an order from the sales order line tab).

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
---
(0071827)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: 92fcde11de82e988bd9d8ce92acad3746187dbda
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 18:17:26 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/92fcde11de82e988bd9d8ce92acad3746187dbda [^]

Related with bug 25811: Remove message related with removed code

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
---
(0071828)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: 131296e805d5308de7d441df8a340cb6a6f08d01
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 18:21:01 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/131296e805d5308de7d441df8a340cb6a6f08d01 [^]

Related with bug 25811: Remove useless function that did nothing

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071829)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: a08d7ebb1de03068895b77b072c391a143af4feb
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 18:23:38 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a08d7ebb1de03068895b77b072c391a143af4feb [^]

Related with bug 25811: Move variable declaration to the top of the function

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071830)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: e40aacfbae884de27b69265191306cee5bc029d5
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 18:35:34 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e40aacfbae884de27b69265191306cee5bc029d5 [^]

Related with bug 25811: Added small refactor and comments
>
> The scrollUp variable was not really needed, the code that was executed when its value was true could be placed in the place where scrollUp was set.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0071831)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: 0c5b72b6ff0edf39627b9b70df45130c64224ed9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 18:36:41 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0c5b72b6ff0edf39627b9b70df45130c64224ed9 [^]

Related with bug 25811: Relaced double quotes with single quotes

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0071832)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: ef187dad9b4c0fd66a8c53fb62a39a252980f0de
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 18:37:44 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ef187dad9b4c0fd66a8c53fb62a39a252980f0de [^]

Related with bug 25811: Remove the undef variable as it was not used anywhere

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/toolbar/ob-action-button.js
---
(0071833)
hgbot (developer)
2014-11-19 19:17

Repository: erp/devel/pi
Changeset: c5de0b74893022777f4b7ea23bb09bc64191d696
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 19:04:06 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c5de0b74893022777f4b7ea23bb09bc64191d696 [^]

Related with bug 25811: Show warn message if bad datasource request is issued

Datasource requests that contain the _targetRecordId parameter but not the _directNavigation parameter are known to have bad perfomance. A check has been added in DefaultJsonDataService to detect them.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0071834)
hgbot (developer)
2014-11-19 19:18

Repository: erp/devel/pi
Changeset: 3221fd5a8661d7f9dfbfd6d4255bace9834e6535
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Nov 19 19:11:32 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3221fd5a8661d7f9dfbfd6d4255bace9834e6535 [^]

Related with bug 25811: Merge with pi

---
M build.xml
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/ProcessInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/hqlinjections/AddPaymentOrderInvoicesTransformer.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_PaymentProcess.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-fk-filter.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/utilities/ob-utilities.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/DateTimeUIDefinition.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServiceProvider.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/TreeDatasourceService.java
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
M src-core/src/org/openbravo/utils/FormatUtilities.java
M src-db/database/model/tables/C_PERIOD.xml
M src-db/database/sourcedata/AD_AUXILIARINPUT.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_MESSAGE.xml
M src-db/database/sourcedata/AD_TAB.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeBPCurrency.class
M src-util/modulescript/build/classes/org/openbravo/modulescript/InitializeBPCurrencyData.class
M src-util/modulescript/build/javasqlc/src/org/openbravo/modulescript/InitializeBPCurrencyData.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeBPCurrency.java
M src-util/modulescript/src/org/openbravo/modulescript/InitializeBPCurrency_data.xsql
M src/org/openbravo/base/model/ModelProvider.java
M src/org/openbravo/common/actionhandler/ManageReservationActionHandler.java
M src/org/openbravo/erpCommon/ad_actionButton/CopyFromPOOrder.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR.java
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter.html
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJRFilter.xml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesJR_data.xsql
M src/org/openbravo/materialmgmt/VariantAutomaticGenerationProcess.java
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateVariantImage.class
A src-util/modulescript/build/classes/org/openbravo/modulescript/UpdateVariantImageData.class
A src-util/modulescript/src/org/openbravo/modulescript/UpdateVariantImage.java
A src-util/modulescript/src/org/openbravo/modulescript/UpdateVariantImage_data.xsql
A src/org/openbravo/configuration/ConfigurationApp.java
A src/org/openbravo/configuration/ConfigureOption.java
A src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeExtendedJR.jrxml
A src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesMultiComparativeJR.jrxml
---
(0071844)
hgbot (developer)
2014-11-20 09:59

Repository: erp/devel/pi
Changeset: 257068376a8cf65b37b244c786bcdd389c58c610
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Thu Nov 20 09:58:51 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/257068376a8cf65b37b244c786bcdd389c58c610 [^]

Related with bug 25811: Dont show warn message if _targetRecordId param is null

In the changeset c5de0b748930 a wanrning message was added when a datasource request with the _targetRecordId but without the _directNavigation parameter was detected. The check was not properly done, and was not discarding the cases when the _targetRecordId was present in the parameter list but its value was null.

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0071873)
hgbot (developer)
2014-11-21 10:12

Repository: erp/devel/pi
Changeset: 86228b5743b31b9a4d874e1733b1ff9c43b8f7ef
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Nov 21 10:12:14 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/86228b5743b31b9a4d874e1733b1ff9c43b8f7ef [^]

Related with bug 25811: Use equals to compare Strings

---
M modules/org.openbravo.service.json/src/org/openbravo/service/json/DefaultJsonDataService.java
---
(0071911)
alostale (developer)
2014-11-24 08:47

code reviewed

added test cases to TestLink, inside the " Test suite for issue 25811 (prevent multiple requests)"
(0073086)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073087)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073088)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073089)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073090)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073091)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073092)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073093)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073094)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073095)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073096)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073097)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073098)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073099)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073100)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073101)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073102)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073103)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073104)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073105)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073106)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073107)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073108)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073109)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073110)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073111)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073112)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073113)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073115)
hudsonbot (developer)
2014-12-30 23:25

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test
(0073120)
hudsonbot (developer)
2014-12-30 23:26

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-02-24 12:43 alostale New Issue
2014-02-24 12:43 alostale Assigned To => AugustoMauch
2014-02-24 12:43 alostale Modules => Core
2014-02-24 12:43 alostale Triggers an Emergency Pack => No
2014-02-24 12:43 alostale Relationship added related to 0025789
2014-02-24 15:55 alostale Tag Attached: Performance
2014-02-24 16:01 hgbot Checkin
2014-02-24 16:01 hgbot Note Added: 0064527
2014-02-25 20:14 hudsonbot Checkin
2014-02-25 20:14 hudsonbot Note Added: 0064589
2014-05-21 08:19 alostale Relationship added related to 0026547
2014-05-23 12:09 guillermogil Note Added: 0067407
2014-05-28 08:58 guillermogil Type defect => design defect
2014-05-28 11:44 guillermogil Note Added: 0067522
2014-10-15 08:53 alostale Relationship added blocks 0027674
2014-11-10 10:57 alostale Relationship added related to 0026821
2014-11-14 14:45 AugustoMauch Relationship added related to 0028178
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071807
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071808
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071809
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071810
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071811
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071812
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071813
2014-11-19 19:15 hgbot Checkin
2014-11-19 19:15 hgbot Note Added: 0071814
2014-11-19 19:15 hgbot Status new => resolved
2014-11-19 19:15 hgbot Resolution open => fixed
2014-11-19 19:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f62c66b02a9f35b319321e0f81edcc3025902295 [^]
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071815
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071816
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071817
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071818
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071819
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071820
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071821
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071822
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071823
2014-11-19 19:16 hgbot Checkin
2014-11-19 19:16 hgbot Note Added: 0071824
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071825
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071826
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071827
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071828
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071829
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071830
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071831
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071832
2014-11-19 19:17 hgbot Checkin
2014-11-19 19:17 hgbot Note Added: 0071833
2014-11-19 19:18 hgbot Checkin
2014-11-19 19:18 hgbot Note Added: 0071834
2014-11-20 09:59 hgbot Checkin
2014-11-20 09:59 hgbot Note Added: 0071844
2014-11-21 10:12 hgbot Checkin
2014-11-21 10:12 hgbot Note Added: 0071873
2014-11-24 08:47 alostale Review Assigned To => alostale
2014-11-24 08:47 alostale Note Added: 0071911
2014-11-24 08:47 alostale Status resolved => closed
2014-11-24 08:47 alostale Fixed in Version => 3.0PR15Q1
2014-11-27 15:28 AugustoMauch Relationship added related to 0026706
2014-11-28 11:46 alostale Relationship added related to 0017298
2014-12-24 11:59 AugustoMauch Relationship added related to 0028484
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073086
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073087
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073088
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073089
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073090
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073091
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073092
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073093
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073094
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073095
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073096
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073097
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073098
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073099
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073100
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073101
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073102
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073103
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073104
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073105
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073106
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073107
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073108
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073109
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073110
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073111
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073112
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073113
2014-12-30 23:25 hudsonbot Checkin
2014-12-30 23:25 hudsonbot Note Added: 0073115
2014-12-30 23:26 hudsonbot Checkin
2014-12-30 23:26 hudsonbot Note Added: 0073120
2015-01-08 08:13 alostale Relationship added causes 0028537
2015-02-23 16:18 caristu Relationship added related to 0029028
2015-05-11 09:40 AugustoMauch Relationship added causes 0029835
2015-05-15 12:19 alostale Relationship added related to 0029865
2015-05-28 09:50 alostale Relationship added related to 0030028
2015-06-01 13:52 alostale Relationship added causes 0030062
2015-06-10 15:30 alostale Relationship added causes 0030063
2015-10-22 14:23 alostale Relationship added causes 0031214
2015-11-23 17:54 caristu Relationship added related to 0029259
2016-10-04 15:41 caristu Relationship added related to 0034171
2016-10-04 15:45 caristu Relationship deleted related to 0034171


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker